echo 'Compiling'
javac Cascade.java
javac CascadeUtils.java
javac CascadeViz.java
javac CascadeIterator.java
javac BuildCascadesEfficient.java
javac CascadeMarkovModel.java
javac LearnCascadeMarkovModel.java
echo ''
echo 'Building cascades from input'
java BuildCascadesEfficient uk.sci.weather-all uk.sci.weather-cascades false
echo ''
echo 'Building authored cascades from input'
java BuildCascadesEfficient uk.sci.weather-all uk.sci.weather-authored-cascades true
echo ''
echo 'Learning the Markov model without authors'
java LearnCascadeMarkovModel uk.sci.weather-cascades uk.sci.weather-cascades.dot false 6
echo ''
echo 'Learning the Markov model with authors'
java LearnCascadeMarkovModel uk.sci.weather-authored-cascades uk.sci.weather-authored-cascades.dot true 4
echo ''
#Uncomment these lines if you happen to have dot installed
#echo 'Running dotty to generate pdfs'
#dot -Tpdf -o uk.sci.weather-authored-cascades.pdf  uk.sci.weather-authored-cascades.dot
#dot -Tpdf -o uk.sci.weather-cascades.pdf  uk.sci.weather-cascades.dot
